### Virtual Method

# Ide TestProvider run_async

#### Declaration

    void
    run_async (
      IdeTestProvider* self,
      IdeTest* test,
      IdePipeline* pipeline,
      VtePty* pty,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`test` | `IdeTest`
| No description available.
| The data is owned by the caller of the function.
`pipeline` | `IdePipeline`
| No description available.
| The data is owned by the caller of the function.
`pty` | `VtePty`
| No description available.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.